## org.apache.poi.poifs.property
Class RootProperty

    java.lang.Object
      org.apache.poi.poifs.property.Property
          org.apache.poi.poifs.property.DirectoryProperty
              org.apache.poi.poifs.property.RootProperty

All Implemented Interfaces:
  Child, Parent, POIFSViewable

public class RootProperty
extends DirectoryProperty

Root property

Author:
  Marc Johnson (mjohnson at apache dot org)

Field Summary

Fields inherited from class org.apache.poi.poifs.property.Property
`_NO_INDEX, _NODE_BLACK, _NODE_RED`

Constructor Summary
`protected` `RootProperty(int index, byte[] array, int offset)` reader constructor

Method Summary
`void` `setSize(int size)` set size

Methods inherited from class org.apache.poi.poifs.property.DirectoryProperty
`addChild, changeName, deleteChild, getChildren, isDirectory, preWrite`

Methods inherited from class org.apache.poi.poifs.property.Property
`getChildIndex, getIndex, getName, getNextChild, getPreviousChild, getShortDescription, getSize, getStartBlock, getStorageClsid, getViewableArray, getViewableIterator, isSmall, preferArray, setChildProperty, setIndex, setName, setNextChild, setNodeColor, setPreviousChild, setPropertyType, setStartBlock, setStorageClsid, shouldUseSmallBlocks, writeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.poifs.property.Parent
`setNextChild, setPreviousChild`

Methods inherited from interface org.apache.poi.poifs.property.Child
`getNextChild, getPreviousChild`

Constructor Detail

### RootProperty

    protected RootProperty(int index,
                           byte[] array,
                           int offset)

  reader constructor

Parameters:
  `index` - index number
  `array` - byte data
  `offset` - offset into byte data

Method Detail

### setSize

    public void setSize(int size)

  set size

  Overrides:
    `setSize` in class `Property`
  Parameters:
    `size` - size in terms of small blocks

Copyright © 2003 Apache Software Foundation.